package com.mobai.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Mobai
 * @className VehicleReq
 * @description 描述
 * @date 2024/6/17 19:24
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class VehicleReq {
    /**
     * 车辆唯一标识
     */
    private String vin;

    /**
     * 开始时间点
     */
    private Long startTime;

    /**
     * 结束时间点
     */
    private Long endTime;

}
