package com.mobai.iotDB.service;

import com.mobai.domain.Vehicle;
import com.mobai.iotDB.domain.IotDbParam;
import com.mobai.req.VehicleReq;
import org.apache.iotdb.rpc.IoTDBConnectionException;
import org.apache.iotdb.rpc.StatementExecutionException;

import java.rmi.ServerException;

/**
 * @ClassName IotDbServer
 * @Description 描述
 * @Author Mobai
 * @Date 2024/6/17 17:20
 */
public interface IotDbServer {

    void insertData(Vehicle vehicle) throws StatementExecutionException, ServerException, IoTDBConnectionException;

    Object queryDataFromIotDb(VehicleReq req) throws Exception;

}
