package com.mobai.vehicle.event.client.config;

import org.springframework.amqp.core.*;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

/**
 * @author Mobai
 * @className MsgComponent
 * @description 描述
 * @date 2024/6/14 21:47
 */

@Component
public class KafkaComponent {

    /**
     * 自动删除队列
     * @return
     */
    @Bean
    public Queue autoDeleteQueue() {
        return new AnonymousQueue();
    }

}
