package com.mobai.vehicle.event.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.mobai.domain.EventReq;
import com.mobai.domain.Result;
import com.mobai.domain.VehicleEvent;
import com.mobai.vehicle.event.mapper.VehicleEventMapper;
import com.mobai.vehicle.event.service.EventActiveService;
import com.mobai.vehicle.event.service.EventsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author Saisai
 * @className EventsServiceImpl
 * @description 描述
 * @date 2024/6/18 11:39
 */

@Service
public class EventsServiceImpl extends ServiceImpl<VehicleEventMapper,VehicleEvent> implements EventsService {

    @Autowired
    private EventActiveService eventActiveService;

    @Override
    public Result activeEvent(EventReq req) {
         switch (req.getEventType()){
             case 0:
                 return eventActiveService.realTimeData(req);
             }
        return null;
    }
}
