package com.mobai.controller;

import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author Mobai
 * @className Producer
 * @description 描述
 * @date 2024/6/15 18:36
 */
@RestController
@RequestMapping("/mq-service")
public class Producer {

    @Autowired
    private RabbitTemplate rabbitTemplate;

    @RequestMapping("/send")
    public void send(String message) {
        rabbitTemplate.convertAndSend("vehicle.event", "", message);
    }
}
