package com.mobai.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Saisai
 * @className EventReq
 * @description 描述
 * @date 2024/6/18 14:08
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EventReq {

    /**
     * 车辆唯一标识
     */
    private String vin;

    /**
     * 事件类型
     */
    private Integer eventType;

    /**
     * 事件状态
     */
    private Integer eventState;

}
